| http://www.sim.no/ http://www.coin3d.org/

Public Types | Public Attributes | List of all members
SoIntersectingPrimitive Struct Reference

Struct with collision information. More...

`#include <Inventor/collision/SoIntersectionDetectionAction.h>`

## Public Types

enum | PrimitiveType { SEGMENT = 2, LINE_SEGMENT = 2, TRIANGLE = 3 }

## Public Attributes

SoPath * | path
enum SoIntersectingPrimitive::PrimitiveType | type
SbVec3f | vertex [3]
SbVec3f | xf_vertex [3]

## Detailed Description

Struct with collision information.

This struct is passed to the collision callback registered by the application programmer. It contains information about which primitives are intersecting each other.

The documentation for this struct was generated from the following file:

- SoIntersectionDetectionAction.h

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.